/*
  AntiRight
  (c) 2003-2004 Jeffrey Bedard
  jefbed@e-list.net
   
  This file is part of AntiRight.
   
  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
   
  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
   
  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xos.h>
#include <X11/keysym.h>
#include <assert.h>
#include <stdio.h>

char*
antiright_pipe_read(char *command_string);

void
initialize_Graphics(int x, int y, int width, int height);

void
show_window();

void
arshell_show_menubar();

void
update_display();

void
create_widget(int type, int x, int y, char* command);

void
cleanup_Graphics();

void
check_commands_at_button(int x, int y);

void
event_loop();

void
create_rowed_widget(int type, char* command);

void
set_geometry(int* arg_counter, char** argv);

